Admin
POST /admin/applications
Create Application Admin
Request Body
Type: Application
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
base_framework | string | |
base_framework_version | string | |
framework | string | |
framework_version | string | |
application | string | |
inference_host | string | |
can_convert_to_onnx | bool | |
can_convert_to_onnx_int8 | bool | |
can_convert_to_coreml | bool | |
can_convert_to_tensorflow | bool | |
can_convert_to_tflite | bool | |
continual_training | bool | |
has_embedding_support | bool | |
has_labels_file | bool | |
inference_extensions | string | |
model_container | bool | |
disabled | bool |
Response
Type: Application
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
base_framework | string | |
base_framework_version | string | |
framework | string | |
framework_version | string | |
application | string | |
inference_host | string | |
can_convert_to_onnx | bool | |
can_convert_to_onnx_int8 | bool | |
can_convert_to_coreml | bool | |
can_convert_to_tensorflow | bool | |
can_convert_to_tflite | bool | |
continual_training | bool | |
has_embedding_support | bool | |
has_labels_file | bool | |
inference_extensions | string | |
model_container | bool | |
disabled | bool |
Example
curl -X POST \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}' \
https://api.seeme.ai/admin/applicationsPUT /admin/applications
Update Application Admin
Request Body
Type: Application
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
base_framework | string | |
base_framework_version | string | |
framework | string | |
framework_version | string | |
application | string | |
inference_host | string | |
can_convert_to_onnx | bool | |
can_convert_to_onnx_int8 | bool | |
can_convert_to_coreml | bool | |
can_convert_to_tensorflow | bool | |
can_convert_to_tflite | bool | |
continual_training | bool | |
has_embedding_support | bool | |
has_labels_file | bool | |
inference_extensions | string | |
model_container | bool | |
disabled | bool |
Response
Type: Application
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
base_framework | string | |
base_framework_version | string | |
framework | string | |
framework_version | string | |
application | string | |
inference_host | string | |
can_convert_to_onnx | bool | |
can_convert_to_onnx_int8 | bool | |
can_convert_to_coreml | bool | |
can_convert_to_tensorflow | bool | |
can_convert_to_tflite | bool | |
continual_training | bool | |
has_embedding_support | bool | |
has_labels_file | bool | |
inference_extensions | string | |
model_container | bool | |
disabled | bool |
Example
curl -X PUT \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}' \
https://api.seeme.ai/admin/applicationsGET /admin/applications/{id}
Get Application Usage Details Admin
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Response
Type: AdminApplicationDetail
| Field | Type | Description |
|---|---|---|
user_info | []AdminSimpleUserInfo | Count int64 json:"count" |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/admin/applications/{id}DELETE /admin/applications/{id}
Delete Application Admin
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Example
curl -X DELETE \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/admin/applications/{id}GET /admin/errors
Get Errors Admin
Response
Type: []ErrorLog
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
resolved | bool | |
user_id | string | |
entity | string | |
entity_id | string |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/admin/errorsPUT /admin/errors
Update Error Admin
Request Body
Type: ErrorLog
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
resolved | bool | |
user_id | string | |
entity | string | |
entity_id | string |
Response
Type: ErrorLog
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
resolved | bool | |
user_id | string | |
entity | string | |
entity_id | string |
Example
curl -X PUT \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}' \
https://api.seeme.ai/admin/errorsGET /admin/jobs
Get Jobs Admin
Response
Type: []Job
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
job_type | string | |
application_id | string | |
status | string | |
status_message | string | |
user_id | string | |
cpu_start_time | string | |
cpu_end_time | string | |
gpu_start_time | string | |
gpu_end_time | string | |
agent_name | string | |
dataset_id | string | |
dataset_version_id | string | |
model_id | string | |
model_version_id | string | |
start_model_id | string | |
start_model_version_id | string | |
items | []JobItem |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/admin/jobsGET /admin/settings/rate-limit
Get Rate Limit Settings
getRateLimitSettings returns the current rate limit configuration.
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/admin/settings/rate-limitPUT /admin/settings/rate-limit
Update Rate Limit Settings
putRateLimitSettings updates the rate limit configuration.
Request Body
Type: struct{}
Example
curl -X PUT \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}' \
https://api.seeme.ai/admin/settings/rate-limitGET /admin/users
Get Users Admin
Response
Type: []User
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
username | string | |
email | string | |
name | string | |
firstname | string | |
hashed_password | string | |
last_login | time.Time | |
last_api_access | time.Time | |
apikey | string | |
reset_token | string | |
reset_token_expiration | time.Time | |
invite_token | string | |
disabled | bool | |
is_system_admin | bool | Database-driven admin flag |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/admin/usersGET /admin/users/{user_id}
Get User Details Admin
Parameters
| Name | In | Type | Required |
|---|---|---|---|
user_id | path | string | true |
Response
Type: AdminUserInfo
| Field | Type | Description |
|---|---|---|
models | []Model | |
inferences | []Inference | |
shares | []Share | |
errors | []ErrorLog | |
datasets | []Dataset | |
access_logs | []AccessLog | |
jobs | []Job |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/admin/users/{user_id}PUT /admin/users/{user_id}
Update User Admin
putUserAdmin updates admin-only fields on a user (is_system_admin, disabled)
Parameters
| Name | In | Type | Required |
|---|---|---|---|
user_id | path | string | true |
Request Body
Type: struct{}
Response
Type: User
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
username | string | |
email | string | |
name | string | |
firstname | string | |
hashed_password | string | |
last_login | time.Time | |
last_api_access | time.Time | |
apikey | string | |
reset_token | string | |
reset_token_expiration | time.Time | |
invite_token | string | |
disabled | bool | |
is_system_admin | bool | Database-driven admin flag |
Example
curl -X PUT \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}' \
https://api.seeme.ai/admin/users/{user_id}